<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	            xmlns:ui="http://java.sun.com/jsf/facelets"	   
	            xmlns:h="http://java.sun.com/jsf/html"
	            xmlns:f="http://java.sun.com/jsf/core"
	            xmlns:p="http://primefaces.org/ui"
	            template="/WEB-INF/templates/interno/templateBranco.xhtml">
	            

	<ui:define name="content">
   <h:form id="clientePet">
			
			<h:inputHidden value="#{clienteBean.cliente.id}" />
			<h1>Cadastrar Pets do cliente</h1>

			<h:panelGrid columns="2">
			
			    <p:outputLabel value="código: " for="codigoCliente"/>
				<p:inputText id="codigoCliente" value="#{clienteBean.clienteSelecionado.codigo}" readonly="true" />

				<p:outputLabel value="Nome: " for="nomeCliente"/>
				<p:inputText id="nomeCliente" value="#{clienteBean.clienteSelecionado.nome}"  readonly="true" />
				
				<p:outputLabel value="Sobrenome: " for="sobrenomeCliente"/>
				<p:inputText id="sobrenomeCliente" value="#{clienteBean.clienteSelecionado.sobrenamo}" readonly="true"  />

				<p:outputLabel value="CPF: " for="cpfCliente"/>
				<p:inputText id="cpfCliente" value="#{clienteBean.clienteSelecionado.cpf}"  readonly="true" />
				
			</h:panelGrid>
			
			<p:messages id="msgs" showDetail="true" autoUpdate="true" closable="true" />

		<p:dataTable id="datalist" 
		             var="pet" 
		             value="#{clienteBean.clienteSelecionado.pets}"
			         selectionMode="single" 
			         selection="#{animalBean.animalSelecionado}"
			         rowKey="#{pet.id}" 
			          paginator="true"
                     rows="20"
                     
                     rowsPerPageTemplate="20,40,60"
   			         paginatorTemplate="{buttons} {CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
			         paginatorPosition="buttom" >
			          
			         <f:facet name="header">
                <div class="row row-nomargin">
                    
                    <div class="col-lg-12">
                        <h:outputText value="Pets "/>
                    </div>
                    
                </div>
            </f:facet>
			<p:ajax event="rowSelect" update="datalist" />
			<p:column headerText="id">
				<h:outputText value="#{pet.id}" />
			</p:column>
			<p:column headerText="Código">
				<h:outputText value="#{pet.codigo}" />
			</p:column>
			<p:column headerText="Nome do pet">
				<h:outputText value="#{pet.nome}" />
			</p:column>
			
			<p:column headerText="Especie">
				<h:outputText value="#{pet.raca.especie.especie}" />
			</p:column>
			
			<p:column headerText="Raça">
				<h:outputText value="#{pet.raca.raca}" />
			</p:column>
			
			<p:column headerText="Sexo">
				<h:outputText value="#{pet.sexo}" />
			</p:column>
			
			<p:column headerText="Data nascimento">
				<h:outputText value="#{pet.dataNascimento}" />
			</p:column>
			
			<p:column headerText="Observasões">
				<h:outputText value="#{pet.obs}" />
			</p:column>
       
			<f:facet name="{buttons}">
                 <div class="footer-left">  
                    <p:commandButton id="createButton" styleClass="btn-primary" icon="fa fa-plus" value="Cadastrar pet" onclick="PF('CadastroPet').show();" update="@form" >
                       <f:setPropertyActionListener target="#{animalBean.cliente}" value="#{clienteBean.clienteSelecionado}" />
                    </p:commandButton>
                    <p:commandButton id="editButton"   styleClass="btn-primary" icon="fa fa-pencil" value="Editar pet" onclick="PF('EditPet').show();" disabled="#{empty animalBean.animalSelecionado}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" update="EditPetform"/>
                    <p:commandButton id="deleteButton" styleClass="btn-primary" icon="fa fa-trash"  value="Deletar pet" actionListener="#{animalBean.excluirPetAssociado()}" update="datalist" disabled="#{empty animalBean.animalSelecionado}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                        <p:confirm header="Confirmação" message="Deseja deletar #{animalBean.animalSelecionado.nome}?" icon="fa fa-warning"/>
                    </p:commandButton> 
                 </div>   
                
			</f:facet>
		</p:dataTable>
		
		 <p:confirmDialog global="true" styleClass="box box-danger">  
          <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes btn-success" icon="fa fa-check"/>  
          <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no btn-danger" icon="fa fa-remove"/>       
        </p:confirmDialog>

        </h:form>
        
        
		<p:dialog  id="CadastroPetId" widgetVar="CadastroPet" modal="true" resizable="false"
			closeOnEscape="true" header="Cadastro pet do cliente"
			appendTo="@(body)" styleClass="box box-primary"
			focus="CadastroPetform:nome">

         <h:form id="CadastroPetform">
         <p:messages id="msgs" showDetail="true" autoUpdate="true" closable="false" />
			<h:panelGroup id="displayCadastrar">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                    <p:outputLabel  value="Código" for="codigo"/>
					<p:inputText id="codigo" value="#{animalBean.animal.codigo}" />

					<p:outputLabel  value="Nome do pet" for="nome"/>
					<p:inputText id="nome" value="#{animalBean.animal.nome}" />
					
                   
<!--                     <p:outputLabel  value="Especie" for="especie"/> -->
<!--                     <p:selectOneMenu id="especie" value="#{especieBean.especieSelecionado}" converter = "entidadeConverterEspecie"> -->
<!--                          <p:ajax listener="#{especieBean.carregarRacas}" update="raca" /> -->
<!--                         <f:selectItem itemValue="" itemLabel="- Selecione uma especie -" noSelectionOption="true"/> -->
<!--                         <f:selectItems value="#{especieBean.listarTodos()}" var="especie" itemValue="#{especie}" itemLabel="#{especie.especie}"/> -->
<!--                     </p:selectOneMenu> -->
			
<!--                     <p:outputLabel  value="Raças" for="raca"/> -->
<!--                       <p:selectOneMenu id="raca" value="#{animalBean.animal.raca}" converter = "entidadeConverterRaca"> -->
<!--                           <f:selectItem itemValue="" itemLabel="- Selecione uma raça -" noSelectionOption="true"/> -->
<!--                           <f:selectItems value="#{especieBean.especieSelecionado.racas}" var="raca" itemValue="#{raca}" itemLabel="#{raca.raca}"/> -->
<!--                       </p:selectOneMenu> -->
					
					<p:outputLabel  value="Raça" for="raca"/>
					<p:selectOneMenu id="raca" value="#{animalBean.animal.raca}"
						required="true"
						requiredMessage="É necessário informar a raça"
						converter="entidadeConverterRaca" autoWidth="true" filter="true"
                           filterMatchMode="startsWith">//Conversor aqui!
					<f:selectItem itemLabel=" - Selecione uma raça - " />
						<f:selectItems value="#{racaBean.listarTodos()}" var="r" itemLabel="#{r.raca}" itemValue="#{r}" />
					</p:selectOneMenu>

					<p:outputLabel for="sexo" value="Sexo" />
					<p:selectOneMenu id="sexo" value="#{animalBean.animal.sexo}" effect="fold" editable="false" autoWidth="true">
						<f:selectItem itemLabel="Macho" itemValue="M" />
						<f:selectItem itemLabel="Fêmia" itemValue="F" />
					</p:selectOneMenu>
					
					<p:outputLabel  value="Data de Nascimento" for="dataNascimento"/>
					<p:calendar id="dataNascimento" value="#{animalBean.animal.dataNascimento}" pattern="dd-MM-yyyy" mask="true" />
					
					<p:outputLabel  value="Observação" for="obs"/>
					<p:inputText id="obs" value="#{animalBean.animal.obs}" />

					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Cadsastrar" actionListener="#{animalBean.associarPet()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('CadastroPet').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
		
		
		<p:dialog  id="EditPetId" widgetVar="EditPet" modal="true" resizable="false"
			closeOnEscape="true" header="Editar cadastro do pet do cliente"
			appendTo="@(body)" styleClass="box box-primary"
			focus="EditPetform:nome">

         <h:form id="EditPetform">
         <p:messages id="msgs" showDetail="true" autoUpdate="true" closable="false" />
			<h:panelGroup id="displayEdit">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                    <p:outputLabel  value="Código" for="codigo"/>
					<p:inputText id="codigo" value="#{animalBean.animalSelecionado.codigo}" />

					<p:outputLabel  value="Nome do pet" for="nome"/>
					<p:inputText id="nome" value="#{animalBean.animalSelecionado.nome}" />
					
					<p:outputLabel  value="Raça" for="raca"/>
					<p:selectOneMenu id="raca" value="#{animalBean.animalSelecionado.raca}"
						required="true"
						requiredMessage="É necessário informar a especie do animal"
						converter="entidadeConverterRaca" autoWidth="true">//Conversor aqui!
					<f:selectItem itemLabel=" --Selecione uma especie -- " />
						<f:selectItems value="#{racaBean.listarTodos()}" var="r" itemLabel="#{r.raca}" itemValue="#{r}" />
					</p:selectOneMenu>

					<p:outputLabel for="sexo" value="Sexo" />
					<p:selectOneMenu id="sexo" value="#{animalBean.animalSelecionado.sexo}" effect="fold" editable="false" autoWidth="true">
						<f:selectItem itemLabel="Macho" itemValue="M" />
						<f:selectItem itemLabel="Fêmia" itemValue="F" />
					</p:selectOneMenu>
					
					<p:outputLabel  value="Data de Nascimento" for="dataNascimento"/>
					<p:calendar id="dataNascimento" value="#{animalBean.animalSelecionado.dataNascimento}" pattern="dd-MM-yyyy" mask="true" />
					
					<p:outputLabel  value="Observação" for="obs"/>
					<p:inputText id="obs" value="#{animalBean.animalSelecionado.obs}" />

					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Alterar" actionListener="#{animalBean.alterarPetAssociado()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('EditPetId').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
		
</ui:define>
</ui:composition>
